goLaTeX - Mein LaTeX-Forum

Mein LaTeX-Forum


Login  | Registrieren
Forum
      Option
[Erweitert]
  • Diese Seite weiterempfehlen
     


Gehe zu:  
Neues Thema eröffnen Neue Antwort erstellen

Nach MikTeX Update geht LuaLaTeX nicht mehr

 

MGommes
Gast

Beiträge: ---
Anmeldedatum: ---
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 20.05.2016, 12:01     Titel: Nach MikTeX Update geht LuaLaTeX nicht mehr
  Antworten mit Zitat      
MiKTeX wurde gestern umfangreich geupdated und heute
funktioniert LuaLaTeX nicht mehr, siehe Minimalbeispiel.

Code • Öffne in Overleaf
\listfiles
\documentclass{scrartcl}
\begin{document}
Minimal
\end{document}
 


    This is LuaTeX, Version 0.95.0 (MiKTeX 2.9)
    restricted system commands enabled.
    (./minimal.tex
    LaTeX2e <2016/03/31>
    Babel <3.9r> and hyphenation patterns for 1 language(s) loaded.

    ("C:/Users/Ich/AppData/Local/Programs/MiKTeX 2.9/tex/latex/koma-script/scr
    artcl.cls"
    Document Class: scrartcl 2016/05/10 v3.20 KOMA-Script document class (article)

    ("C:/Users/Ich/AppData/Local/Programs/MiKTeX 2.9/tex/latex/koma-script/scr
    kbase.sty"
    ("C:/Users/Ich/AppData/Local/Programs/MiKTeX 2.9/tex/latex/koma-script/scr
    base.sty"
    ("C:/Users/Ich/AppData/Local/Programs/MiKTeX 2.9/tex/latex/graphics/keyval
    .sty")
    ("C:/Users/Ich/AppData/Local/Programs/MiKTeX 2.9/tex/latex/koma-script/scr
    lfile.sty"
    Package scrlfile, 2016/05/10 v3.20 KOMA-Script package (loading files)
    Copyright (C) Markus Kohm

    )))
    ("C:/Users/Ich/AppData/Local/Programs/MiKTeX 2.9/tex/latex/koma-script/toc
    basic.sty")
    ("C:/Users/Ich/AppData/Local/Programs/MiKTeX 2.9/tex/latex/koma-script/scr
    size11pt.clo")
    ("C:/Users/Ich/AppData/Local/Programs/MiKTeX 2.9/tex/latex/koma-script/typ
    earea.sty"
    Package typearea, 2016/05/10 v3.20 KOMA-Script package (type area)
    Copyright (C) Frank Neukam, 1992-1994
    Copyright (C) Markus Kohm, 1994-

    ))
    No file minimal.aux.
    ! Missing number, treated as zero.
    <to be read again>
    p
    l.3 \begin{document}

    ?


Muss ich jetzt auf ein neues Update warten oder ist
es ein Fehler meiner Installation, das man beheben
kann ?

u_fischer
Forum-Meister
Forum-Meister

Beiträge: 3536
Anmeldedatum: 22.11.12
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 20.05.2016, 12:35     Titel:
  Antworten mit Zitat      
Du kannst das hier (temporär) benutzen, bis die Klassen korrekt an das neue luatex angepasst sind:

Code • Öffne in Overleaf
\documentclass{scrartcl}
\usepackage{luatex85}
\begin{document}
Minimal
\end{document}
 

_________________

Ulrike Fischer
www.troubleshooting-tex.de
Private Nachricht senden Benutzer-Profile anzeigen

esdd
Forum-Meister
Forum-Meister

Beiträge: 2192
Anmeldedatum: 07.02.10
Wohnort: Stutensee
Version: MiKTeX 2.9
     Beitrag Verfasst am: 20.05.2016, 13:44     Titel:
  Antworten mit Zitat      
Wenn Du das Seitenformat nicht änderst, also nicht zum Beispiel A5 verwenden möchtest, dann funktioniert auch

Code • Öffne in Overleaf
\documentclass[pagesize=false]{scrartcl}
\begin{document}
 Minimal \KOMAScriptVersion
\end{document}


@Ulrike

Code • Öffne in Overleaf
\documentclass{article}
\usepackage[a5paper,showframe]{geometry}
\begin{document}
 Minimal
\end{document}


liefert mit LuaTeX, Version 0.95.0



gl_a5.png
 Beschreibung:

Download
 Dateiname:  gl_a5.png
 Dateigröße:  4.54 KB
 Heruntergeladen:  98 mal
Private Nachricht senden Benutzer-Profile anzeigen

u_fischer
Forum-Meister
Forum-Meister

Beiträge: 3536
Anmeldedatum: 22.11.12
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 20.05.2016, 15:02     Titel:
  Antworten mit Zitat      
@Elke Ja in beiden Fällen fehlt entweder

Code • Öffne in Overleaf

\let\pdfpagewidth        \pagewidth
\let\pdfpageheight       \pageheight
 


oder ein passender Test auf das neue luatex. (Bei KOMA ist ein Tippfehler in typearea, siehe Mail).
_________________

Ulrike Fischer
www.troubleshooting-tex.de
Private Nachricht senden Benutzer-Profile anzeigen

esdd
Forum-Meister
Forum-Meister

Beiträge: 2192
Anmeldedatum: 07.02.10
Wohnort: Stutensee
Version: MiKTeX 2.9
     Beitrag Verfasst am: 20.05.2016, 15:32     Titel:
  Antworten mit Zitat      
@Ulrike Danke, auch fürs Weitergeben des Problems mit geometry.
Private Nachricht senden Benutzer-Profile anzeigen

esdd
Forum-Meister
Forum-Meister

Beiträge: 2192
Anmeldedatum: 07.02.10
Wohnort: Stutensee
Version: MiKTeX 2.9
     Beitrag Verfasst am: 28.05.2016, 11:49     Titel:
  Antworten mit Zitat      
Auf der KOMA-Script Webseite ist jetzt eine fehlerbereinigte Version bzw. Vorabrelease der künftigen Version verfügbar, in der das Problem behoben ist.
Private Nachricht senden Benutzer-Profile anzeigen

Auch ein
Gast

Beiträge: ---
Anmeldedatum: ---
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 01.07.2016, 08:44     Titel:
  Antworten mit Zitat      
Inzwischen gibt es übrigens für TeX-Live und für MiKTeX per normalem Update KOMA-Script 3.21, in dem dieses Problem behoben ist.

Ich denke, damit kann man die Frage als beantwortet betrachten.

Neues Thema eröffnen Neue Antwort erstellen



Options and Permissions
Beiträge der letzten Zeit anzeigen:

Du kannst Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.
Du kannst Dateien in diesem Forum nicht posten
Du kannst Dateien in diesem Forum herunterladen
.

goLaTeX ist Teil der goForen
goForen.de goMATLAB.de goLaTeX.de goPCB.de


  Impressum | FAQ | goLaTeX RSS Button RSS-Feed

Copyright © 2008 - 2017 goLaTeX.de